#include <bits/stdc++.h>

using namespace std;

string resi(long long int N , long long int M ,long long int K){
	
	long long NK = N/K;
	long long  sum = NK/2*(NK+1);
	long long MK = M/K;
	
	if(sum > MK){
		return "Nie"; 
	}else if(sum < MK){
		return "Tak";
		}else{
			if(N%K==0){
				return "Tak";
				}else{
				return "Nie";
				}
			}

}

int main(){
	long long  t , N;
	long long  M,K;
	cin>>t;
	string ans[t];
	for(int i=0;i<t;i++){
		cin>>N>>M>>K;
		ans[i] = resi(N , M , K);
	}
	for(int i=0;i<t;i++){
		cout<<ans[i]<<endl;
		
	}
	
	
	return 0;
}